# AMMDepositFlagsInterface | xrpl
Documentation for xrpl

# Interface AMMDepositFlagsInterface

#### Hierarchy

- GlobalFlags
  - AMMDepositFlagsInterface

- Defined in packages/xrpl/src/models/transactions/AMMDeposit.ts:26

#####
Index

### Properties

tfLPToken?
tfLimitLPToken?
tfOneAssetLPToken?
tfSingleAsset?
tfTwoAsset?

## Properties

### `Optional` tfLPToken

tfLPToken?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMDeposit.ts:27

### `Optional` tfLimitLPToken

tfLimitLPToken?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMDeposit.ts:31

### `Optional` tfOneAssetLPToken

tfOneAssetLPToken?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMDeposit.ts:30

### `Optional` tfSingleAsset

tfSingleAsset?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMDeposit.ts:28

### `Optional` tfTwoAsset

tfTwoAsset?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMDeposit.ts:29

Generated using TypeDoc